#Executer -> as @e[type=area_effect_cloud]
#$vm:vm -> {material,tool,id,uuid(player uuid)}


#Adds the needed NBT to the Area Effect Cloud
data merge entity @s {Duration:64,Tags:["vm.center"]}

#Adds the uuid to storage 4 multiplayer compatibility and sets owner in aec nbt
data modify entity @s Owner set from storage vm:vm uuid
data modify storage vm:vm uuid set from entity @s UUID[0]
execute store result score @e[type=item,distance=..7,limit=1,sort=nearest,predicate=vm:cn,nbt={Age:0s}] vm.uuid run data get storage vm:vm uuid

#to copy storage to vm:$(uuid)
function vm:mine/uuid_storage with storage vm:vm

#Set own and vm.starter "vm.uuid" score to match thread
execute store result score @s vm.uuid run data get storage vm:vm uuid
execute store result score @e[distance=..1,tag=vm.starter,type=item,limit=1,sort=nearest] vm.uuid run data get storage vm:vm uuid

#adds the enchantments of tool to storage "vm:$(uuid)" (unbreaking,fortune,silk_touch), sets the max block count to storage "vm:$(uuid)" ("max"), marks the used Item by adding the custom data "broke:1"
execute on origin run function vm:mine/origin with storage vm:vm

#Makes a Duration to kill the Area Effect Cloud if there are no new Blocks that get destroyed
scoreboard players set @s vm 5
schedule function vm:mine/duration_gateway 1t append

function vm:mine/aec/max with storage vm:vm
