
#Trigger 4 Active VeinMine Reminder
execute as @a run function vm:tool/active/trigger

#AEC loops
execute as @e[type=area_effect_cloud,tag=vm.center] at @s run function vm:mine/aec/gateway
execute as @e[type=area_effect_cloud,tag=vm.center,scores={vm.durability=1}] run function vm:tool/durability/start_gateway

execute as @a[scores={vm.broke.durability.take=1..}] unless entity @s[tag=vm] run function vm:tool/durability/broke

#For updating display lore of items after netherite upgrade per smithing table
execute as @a[predicate=vm:cmd] run function vm:tool/upgrade

#The Beginning of "Execute Order 66"
execute as @a run function vm:scores
execute as @a unless entity @s[tag=vm] if entity @s[tag=vm.has_mined,predicate=vm:cmd] at @s run function vm:mine/core_gateway
#Killing Stone Drop when tool broke with last block
execute as @a[tag=vm.has_mined] at @s run kill @e[type=item,distance=..65,predicate=vm:cn,nbt={Age:0s},tag=!vm.starter,tag=!vm.thread]

#Reseting everything and remove useless tags
execute as @a[tag=!vm.is_resetted] unless predicate vm:cmd at @s unless entity @e[distance=..65,tag=vm.center,type=area_effect_cloud] run function vm:reset
execute as @a[tag=vm] at @s unless entity @e[distance=..65,tag=vm.center,type=area_effect_cloud] run tag @s remove vm
execute as @a[tag=vm.has_mined] run function vm:reset
tag @a[tag=vm.has_mined] remove vm.has_mined

#Loophole check
execute as @a[tag=!vm] if predicate vm:has_broke_mainhand at @s unless entity @e[distance=..65,tag=vm.center,type=area_effect_cloud] unless score @s vm.countdown matches 1.. run scoreboard players set @s vm.countdown 10
execute as @a[tag=!vm] if predicate vm:has_broke_mainhand at @s unless entity @e[distance=..65,tag=vm.center,type=area_effect_cloud] if score @s vm.countdown matches 1.. run scoreboard players remove @s vm.countdown 1
execute as @a[tag=!vm] if predicate vm:has_broke_mainhand at @s unless entity @e[distance=..65,tag=vm.center,type=area_effect_cloud] if score @s vm.countdown matches 1 run item modify entity @s weapon.mainhand vm:durability/remove_broke

#VeinMine Help Trigger
execute as @a[scores={veinmine_help=1..}] run function vm:help/tellraw

#Right Click detection for Tool Activation
function vm:tool/toggle/main

#Title reseting when Tool Switch
execute as @a[scores={vm.title=1}] run title @s actionbar ""
execute as @a[scores={vm.title=1..}] run scoreboard players remove @s vm.title 1
execute as @a[scores={vm.title=0}] run scoreboard players reset @s vm.title
